@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@100&display=swap');
body {
    font-family: 'Kanit', sans-serif;
    font-weight: bold;
    overflow-x: hidden;
    overflow-y: scroll;
    padding: 0;
    margin: 0;
    scroll-behavior: smooth;
}
a {
    text-decoration: none;
    color: black;
}
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6, p {
    margin-top: 0;
    margin-bottom: 0;
}
#index-nav-wrapper {
    display: flex;
    width: 80%;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    padding-top: 20px;
    padding-bottom: 20px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 5;
}
#byvy-nav-right {
    margin-right: 10vw;
}
#byvy-menu {
    z-index: 10;
}
#byvy-nav-left {
    margin-left: 10vw;
}
@media screen and (min-width: 900px) {
    #byvy-nav-wrapper {
        display: flex;
        flex-direction: row;
        margin-left: 12vw;
        margin-right: 12vw;
        justify-content: space-between;
        align-items: center;
        padding-top: 20px;
        padding-bottom: 20px;
    }
}
@media screen and (max-width: 900px) {
    #byvy-nav-wrapper {
        display: flex;
        flex-direction: row;
        margin-left: 5vw;
        margin-right: 5vw;
        justify-content: space-between;
        align-items: center;
        padding-top: 15px;
        padding-bottom: 15px;
    }
    .hh-dropbtn img {
        width: 75%;
        height: 75%;
    }
    #byvy-nav-left a > img {
        width: 130px;
        height: 75px;
    }
}
@media screen and (max-width: 500px) {
    #byvy-nav-left a > img {
        width: 85px;
        height: 50px;
    }
}
#byvy-nav-right {
    display: flex;
    flex-direction: row;
    align-items: center;
}
@media screen and (min-width: 900px) {
    #byvy-landing {
        margin-top: 150px;
    }
}
@media screen and (max-width: 900px) {
    #byvy-landing {
        margin-top: 120px;
    }
}
@media screen and (max-width: 500px) {
    #byvy-landing {
        margin-top: 100px;
    }
}
@media screen and (min-width: 1400px) {
    #byvy-landing {
        height: 370px;
        width: 95vw;
        background-color: white;
        background-position: center;
        background-size: cover;
        position: relative;
    }
    #byvy-landing > img {
        position: absolute;
        width: 100%;
        height: 100%;
    }
}
@media screen and (max-width: 1400px) {
    #byvy-landing {
        height: 370px;
        width: 100vw;
        background-color: white;
        display: flex;
        align-items: center;
        overflow: hidden;
        position: relative;
    }
    #byvy-landing > img {
        position: absolute;
        min-height: 100%;
        min-width: 100%;
    }
}
#byvy-landing-container {
    text-transform: uppercase;
    margin-left: 12vw;
    position: absolute;
}
#byvy-landing-upper-text {
    font-size: 34px;
    background: #B4E639;
    width: fit-content;
    padding: 5px 60px;
    margin-top: 5vh;
    position: relative;
}
@media screen and (min-width: 1921px) {
    #byvy-landing-lower-text {
        font-size: 49px;
        color: white;
        margin-top: 7vh;
    }
}
@media screen and (max-width: 1921px) {
    #byvy-landing-lower-text {
        font-size: 49px;
        color: white;
        margin-top: 15vh;
    }
}
@media screen and (max-width: 530px) {
    #byvy-landing-lower-text:not(.flat-id) {
        display: flex;
        flex-direction: column;
        font-size: 45px;
    }
}
#byvy-landing-lower-text span {
    background: #B4E639;
    clip-path: polygon(5% 100%, 100% 100%, 95% 0, 0 0);
    padding-left: 10px;
    padding-right: 10px;
    width: fit-content;
}
#byvy-section1 {
    position: relative;
    margin-top: 20px;
}
#byvy-section1-wrapper {
    text-transform: uppercase;
    font-size: 17px;
    margin-left: 12vw;
}
#byvy-section1-wrapper a {
    border-right: 1px solid #B4E639;
    padding-right: 5px;
    cursor: pointer;
}
#byvy-section1-wrapper a:last-child {
    border-right: none
}
#byvy-section2 {
    position: relative;
}
@media screen and (min-width: 1400px) {
    #byvy-section2-container {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        margin-top: 25px;
        margin-bottom: 20px;
    }
    #byvy-section2-left {
        display: inline-block;
        vertical-align: top;
        margin-right: 5vw;
        width: fit-content;
    }
}
@media screen and (max-width: 1400px) {
    #byvy-section2-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin-bottom: 20px;
    }
    #byvy-section2-left {
        display: inline-block;
        vertical-align: top;
        width: 76%;
    }
    #byvy-section2-right {
        width: 76%;
    }
    #byvy-info-wrapper {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }
    #byvy-section2 {
        margin-top: 25px;
    }
}
@media screen and (max-width: 650px) {
    #byvy-section2-right {
        width: 90%;
    }
    #byvy-section2-left {
        display: inline-block;
        vertical-align: top;
        width: 90%;
    }
}
#byvy-section2-container h1 {
    text-transform: uppercase;
    font-size: 34px;
}
#byvy-section2-right {
    display: inline-block;
}
#byvy-pudorys-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
}
@media screen and (max-width: 650px) {
    #byvy-pudorys-wrapper img {
        width: 100%;
        height: 100%;
    }
}
#byvy-info-left {
    display: inline-block;
    margin-right: 10vw;
}
#byvy-info-right {
    display: inline-block;
    text-align: right;
}
#byvy-left-price {
    background: #2C2C2C;
    display: flex;
    justify-content: space-between;
    padding: 25px;
    margin-top: 25px;
    margin-bottom: 25px;
}
#byvy-left-price span {
    width: fit-content;
    color: white;
    font-size: 34px;
}
@media screen and (max-width: 630px) {
    #byvy-left-price span {
        font-size: 28px;
    }
}
@media screen and (min-width: 750px) {
    #byvy-section2-left div {
        font-size: 20px;
    }
}
@media screen and (max-width: 750px) {
    #byvy-section2-left div {
        font-size: 17px;
    }
}
@media screen and (max-width: 530px) {
    #byvy-section2-left div {
        font-size: 13px;
    }
    #byvy-section2-container h1 {
        font-size: 28px;
    }
    #byvy-left-price span {
        font-size: 23px;
    }
    #byvy-left-price {
        padding: 15px;
    }
    #byvy-section2-left {
        margin-bottom: 25px;
    }
}
#byvy-left-button {
    text-transform: uppercase;
    font-size: 20px;
    font-weight: bolder;
    background: #B4E639;
    width: fit-content;
    float: right;
    padding: 20px 60px;
    cursor: pointer;
    background-image: linear-gradient(135deg, #292929 50%, transparent 51%);
    background-size: 100px 100px;
    background-position: -50px -50px;
    background-repeat: no-repeat;
    transition: all ease 0.8s;
}
#byvy-left-button:hover {
    background-size: 200% 200%;
    background-position: 0px 0px;
    color: #B4E639;
}
.section5 {
    height: fit-content;
    background: #292929;
    padding: 25px;
    text-align: center;
    position: relative;
}
.section5 h2 {
    font-size: 28px;
}
.section5 h1 {
    font-size: 68px;
}
.section5 h2 span {
    font-size: 46px;
}
@media screen and (max-width: 1200px){
    .section5 h2 {
        font-size: 22px;
    }
    .section5 h1 {
        font-size: 55px;
    }
    .section5 h2 span {
        font-size: 38px;
    }
}
@media screen and (max-width: 900px){
    .section5 h2 {
        font-size: 18px;
    }
    .section5 h1 {
        font-size: 47px;
    }
    .section5 h2 span {
        font-size: 30px;
    }
}
@media screen and (max-width: 500px){
    .section5 h2 {
        font-size: 15px;
    }
    .section5 h1 {
        font-size: 42px;
    }
    .section5 h2 span {
        font-size: 25px;
    }
}
@media screen and (max-width: 400px){
    .section5 h2 {
        font-size: 12px;
    }
    .section5 h1 {
        font-size: 25px;
    }
    .section5 h2 span {
        font-size: 20px;
    }
}
.footer {
    height: fit-content;
    text-align: center;
    font-size: 18px;
    padding: 15px;
    box-sizing: border-box;
    width: auto;
    z-index: 2;
    position: relative;
}
@media screen and (min-width: 900px) {
    #powered-by {
        vertical-align: middle;
        float: right;
    }
    #powered-by img {
        width: 75px;
        right: 5px;
        height: 30px;
        display: inline-block;
        position: absolute;
    }
    #possition {
        position: fixed;
        bottom: 0;
        width: 98vw;
    }
}
@media screen and (max-width: 900px) {
    .footer {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        font-size: 15px;
    }
    #powered-by {
        vertical-align: middle;
        float: right;
    }
    #powered-by img {
        width: 75px;
        height: 30px;
    }
}
.footer span {
    display: inline-block;
    text-align: center;
}
.sefl-dropdown {
    position: relative;
    display: inline-block;
    width: fit-content;
}
.sefl-dropdown-content {
    display: none;
    position: absolute;
    z-index: 1;
}
.sefl-dropdown:hover .sefl-dropdown-content {
    display: block;
}
#sefl-right-menu {
    display: inline-block;
    vertical-align: middle;
}
#sefl-navbar-left {
    margin-left: 10vw;
}
@media screen and (min-width: 1285px) {
    #sefl-right-text {
        display: flex;
        flex-direction: row;
        align-items: center;
        z-index: 10;
        justify-content: space-between;
        cursor: pointer;
        font-size: 24px;
        text-transform: uppercase;
        background: #2C2C2C;
        padding: 19px 20px 19px 20px;
    }
}
@media screen and (max-width: 1285px) {
    #sefl-right-text {
        display: flex;
        flex-direction: row;
        align-items: center;
        z-index: 10;
        justify-content: space-between;
        cursor: pointer;
        font-size: 18px;
        text-transform: uppercase;
        background: #2C2C2C;
        padding: 15px 19px;
    }
    #hh-dropbtn > img {
        height: 58px;
        width: 60px;
    }
}
@media screen and (max-width: 900px) {
    #sefl-right-text {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        cursor: pointer;
        z-index: 10;
        font-size: 14px;
        text-transform: uppercase;
        background: #2C2C2C;
        padding: 10px 14px;
    }
    #sefl-right-text > img {
        height: 15%;
        width: 15%;
    }
    #hh-dropbtn > img {
        height: 43px;
        width: 45px;
    }
}
@media screen and (max-width: 500px) {
    #sefl-right-text {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        cursor: pointer;
        z-index: 10;
        font-size: 10px;
        text-transform: uppercase;
        background: #2C2C2C;
        padding: 10px 10px;
    }
    #sefl-right-text > img {
        height: 15%;
        width: 15%;
    }
    #hh-dropbtn > img {
        height: 35px;
        width: 37px;
    }
}
@media screen and (max-width: 710px) {
    .navbar-item {
        margin-right: 5vw !important;
        margin-left: 5vw !important;
    }
    .navbar-item a > img {
        height: 40px !important;
        margin-left: 5vw;
        width: auto !important;
    }
    #sefl-right-text img {
        margin-right: 5px !important;
    }
}
#sefl-right-text:hover {
    background: #c6ff34;
    color: #2C2C2C;
    transition: .25s;
}
#sefl-right-text span {
    color: white;
}
#sefl-right-text:hover span{
    color: #2C2C2C;
}
#sefl-right-text img {
    margin-right: 30px;
}
.img-magnifier-glass {
    position: absolute;
    border: 5px solid #2C2C2C;
    border-radius: 50%;
    cursor: none;
    width: 250px;
    height: 250px;
}
@media screen and (max-width: 600px) {
    .img-magnifier-glass {
        width: 150px;
        height: 150px;
    }
}
@media screen and (min-width: 900px) {
    #cont-section1-wrapper {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        margin-left: 12vw;
        margin-right: 12vw;
        margin-top: 10vh;
    }
    .cont-section1 {
        position: relative;
        bottom: 3rem;
    }
}
@media screen and (max-width: 900px) {
    #cont-section1-wrapper {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 3vh;
        gap: 25px;
    }
    #cont-section1-left, #cont-section1-right {
        text-align: center;
    }
}
#cont-section1-left {
    display: flex;
    flex-direction: column;
}
@media screen and (min-width: 800px) {
    #cont-section1-left h2 {
        font-size: 34px;
        text-transform: uppercase;
    }
    #cont-section1-left span {
        font-size: 20px;
    }
    #cont-section1-right h2 {
        font-size: 34px;
        text-transform: uppercase;
    }
    #cont-section1-right span:not(.color) {
        font-size: 20px;
        text-transform: uppercase
    }
    #cont-section1-right p {
        font-size: 46px;
    }
}
@media screen and (max-width: 800px) {
    #cont-section1-left h2 {
        font-size: 28px;
        text-transform: uppercase;
    }
    #cont-section1-left span {
        font-size: 16px;
    }
    #cont-section1-right h2 {
        font-size: 30px;
        text-transform: uppercase;
    }
    #cont-section1-right span:not(.color) {
        font-size: 18px;
        text-transform: uppercase
    }
    #cont-section1-right p {
        font-size: 35px;
    }
}
#cont-section1-right {
    display: flex;
    flex-direction: column;
}
.color {
    font-size: inherit;
    color: #B4E639;
}
@media screen and (min-width: 1400px) {
    .bymo-card {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        gap: 25px;
        box-sizing: border-box;
        padding: 25px;
    }
    .bymo-card-left {
        width: 32%;
        box-sizing: border-box;
        padding-right: 25px;
    }
    .bymo-card-header {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        align-items: center;
    }
    .bymo-section1-wrapper {
        display: flex;
        flex-direction: column;
        gap: 75px;
    }
    .bymo-section1 {
        margin-top: 75px;
    }
}
@media screen and (max-width: 1400px) {
    .bymo-card {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 25px;
        box-sizing: border-box;
        padding: 25px;
    }
    .bymo-card:nth-child(2), .bymo-card:nth-child(4) {
        flex-direction: column-reverse;
    }
    .bymo-card-left {
        width: 90%;
        box-sizing: border-box;
        padding-right: 25px;
        text-align: center;
    }
    .bymo-card-header {
        display: flex;
        justify-content: center;
        flex-direction: row-reverse;
        align-items: center;
        gap: 10px;
    }
    .bymo-section1-wrapper {
        display: flex;
        flex-direction: column;
        gap: 25px;
    }
    .bymo-section1 {
        margin-top: 25px;
    }
}
.bymo-card-header > h2 {
    font-size: 34px;
    text-transform: uppercase;
}
.bymo-card-header span {
    font-size: 62px;
    color: #B4E639;
    font-weight: bolder;
}
@media screen and (min-width: 900px) {
    .bymo-image-wrapper {
        width: 830px;
        height: 500px;
    }
    .bymo-image-wrapper img {
        width: 100%;
        height: 100%;
    }
    .bymo-card-text {
        font-size: 28px;
    }
}
@media screen and (max-width: 900px) {
    .bymo-image-wrapper {
        width: 95%;
        height: auto;
        max-height: 300px;
        margin-inline: auto;
    }
    .bymo-image-wrapper img {
        width: 100%;
        height: 100%;
    }
    .bymo-card-text {
        font-size: 25px;
    }
    .bymo-card-left {
        padding-right: 0;
    }
}
@media screen and (max-width: 500px) {
    .bymo-card-text {
        font-size: 20px;
    }
    .bymo-card-left {
        width: 100%;
    }
    .bymo-card {
        padding: 10px;
    }
    .bymo-card-header > h2 {
        font-size: 28px;
    }
}
.loc-section1 {
    margin-top: 50px;
    margin-bottom: 50px;
}
@media screen and (min-width: 1400px) {
    #location-map {
        height: 500px;
        width: 88%;
        margin-left: auto;
    }
}
@media screen and (max-width: 1400px) {
    #location-map {
        height: 500px;
        width: 90%;
        margin-inline: auto;
    }
}
.loc-section3 {
    background: #292929;
    color: white;
    box-sizing: border-box;
    margin-top: 75px;
    width: 95vw;
    position: relative;
    margin-left: auto;
}
@keyframes slideInTop {
    0% {
        transform: translateY(-100%);
    }
    100% {
        transform: translateY(0);
    }
}
@keyframes slideInBack {
    0% {
        transform: translateY(-100%);
    }
    100% {
        transform: translateY(0);
    }
}
#loc-section3-text > h2 {
    font-size: 34px;
    margin-bottom: 25px;
    text-transform: uppercase;
}
@media screen and (min-width: 1400px) {
    #loc-section3-wrapper {
        display: flex;
        padding: 35px;
        margin-left: 5vw;
        margin-right: 1vw;
        box-sizing: border-box;
        flex-direction: row;
        align-items: center;
        justify-content: space-evenly;
    }
    #loc-section3-text {
        font-size: 28px;
        width: 30%;
    }
    #loca-section3-icons {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-evenly;
        width: 70%;
    }
}
@media screen and (max-width: 1400px) {
    #loc-section3-wrapper {
        display: flex;
        padding: 35px;
        flex-direction: column;
        box-sizing: border-box;
        align-items: center;
        justify-content: center;
    }
    #loc-section3-text {
        font-size: 25px;
        width: 100%;
        text-align: center;
    }
    .loc-section3 {
        width: 100%;
    }
    #loca-section3-icons {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        width: 100%;
        margin-top: 25px;
    }
}
@media screen and (max-width: 1000px) {
    .loc-section3-icon img {
        width: 75%;
        width: 75%;
    }
    #loc-section3-text {
        font-size: 22px;
        width: 100%;
        text-align: center;
    }
}
@media screen and (max-width: 700px) {
    #loc-section3-text {
        font-size: 18px;
        width: 100%;
        text-align: center;
    }
    .loc-section3-icon img {
        width: 50%;
        width: 50%;
    }
    #loca-section3-icons {
        display: flex;
        flex-direction: row;
        align-items: center;
        flex-wrap: wrap;
        justify-content: center;
        width: 100%;
        margin-top: 25px;
    }
    .loc-section3-icon span {
        font-size: 12px;
    }
    #loc-section3-wrapper {
        padding: 15px;
        box-sizing: border-box;
    }
}
.loc-section3-icon {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
}
@media screen and (min-width: 660px) {
    #gal-section1-wrapper {
        display: flex;
        flex-wrap: wrap;
        margin-top: 50px;
        margin-left: 8vw;
        margin-right: 8vw;
        align-items: center;
        justify-content: center;
        flex-direction: row;
    }
    .gal-item {
        width: 500px;
        height: 350px;
        margin: 5px;
    }
    .gal-item img {
        height: 100%;
        width: 100%;
    }
}
@media screen and (max-width: 660px) {
    #gal-section1-wrapper {
        display: flex;
        flex-wrap: wrap;
        margin-top: 50px;
        margin-left: 5vw;
        margin-right: 5vw;
        align-items: center;
        justify-content: center;
        flex-direction: row;
    }
    .gal-item {
        width: 275px;
        height: 150px;
        margin: 5px;
    }
    .gal-item img {
        height: 100%;
        width: 100%;
    }
}
.gal-item {
    border: 5px solid transparent;
}
.gal-item:hover {
    border: 5px solid #B4E639;
    transition: .5s;
}